Page MenuHomePhabricator

Upgrade puppeteer to allow Proton to move to Buster
Closed, ResolvedPublic

Description

Background information

In order to move forward with OS upgrade, Proton needs a matching version for puppeteer and chromium (buster)

What

  • Change CI image for testing with debian buster image.
  • Bump puppeteer to the right version.

Open questions

...

Acceptance criteria

  • Proton builds on CI with the new buster image

Event Timeline

MSantos created this task.Dec 12 2019, 5:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2019, 5:34 PM
MSantos added a parent task: Restricted Task.Dec 12 2019, 5:35 PM
MSantos edited parent tasks, added: T238830: Profile proton memory usage for Helm chart; removed: Restricted Task.Dec 12 2019, 5:37 PM

hey @MSantos, is this a subtask of T238830: Profile proton memory usage for Helm chart?

Seems like this one should be the parent task of T238830

Well, I think it could be either way. My thought is to start k8s for proton with buster image, that way we just change deployment-charts once instead of twice.

MSantos updated the task description. (Show Details)Jan 15 2020, 9:04 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.
MSantos updated the task description. (Show Details)Jan 15 2020, 9:20 PM

What is waiting on review for this task?

Change 565118 had a related patch set uploaded (by Mholloway; owner: MSantos):
[mediawiki/services/chromium-render@master] Move proton to debian buster

https://gerrit.wikimedia.org/r/565118

Change 565118 merged by jenkins-bot:
[mediawiki/services/chromium-render@master] Move proton to debian buster

https://gerrit.wikimedia.org/r/565118

Mholloway closed this task as Resolved.Feb 5 2020, 10:13 PM